package com.ss.android.ugc.aweme.dynamicfeature;

import X.AnonymousClass7lW;
import X.C22428Zd;
import X.C22438Ze;
import X.C23878by;
import X.C25498ea;
import X.C25518ec;
import X.C42869Ft;
import X.C42909Fx;
import android.content.Context;
import android.content.SharedPreferences;
import com.bytedance.covode.number.Covode;
import com.google.android.play.core.e.c;
import java.util.Arrays;
import java.util.List;
import org.json.JSONObject;

public class LivePluginInitTask implements C22438Ze {
    public volatile SharedPreferences LIZ;
    public volatile c LIZIZ;
    public volatile Context LIZJ;
    public List<String> LIZLLL = Arrays.asList(new String[]{"df_live_byte_link", "df_live_twilio_link", "df_live_zego_link", "df_live_quic", "df_live_cmaf"});

    static {
        Covode.recordClassIndex(67815);
    }

    public boolean meetTrigger() {
        return true;
    }

    public String prefix() {
        return "task_";
    }

    public boolean serialExecute() {
        return false;
    }

    public int targetProcess() {
        return 1;
    }

    public List triggerOtherLegoComponents() {
        return null;
    }

    public C42869Ft triggerType() {
        return C22428Zd.LIZ(this);
    }

    public C42909Fx scenesType() {
        return C42909Fx.DEFAULT;
    }

    public C25518ec type() {
        return C25518ec.BOOT_FINISH;
    }

    public String key() {
        return getClass().getSimpleName();
    }

    public final JSONObject LIZ(JSONObject jSONObject) {
        JSONObject jSONObject2 = new JSONObject();
        try {
            jSONObject2.put("tag", "ttlive_sdk");
            jSONObject2.put("extra", jSONObject);
        } catch (Exception unused) {
        }
        return jSONObject2;
    }

    public void run(Context context) {
        Context applicationContext = context.getApplicationContext();
        if (AnonymousClass7lW.LIZJ && applicationContext == null) {
            applicationContext = AnonymousClass7lW.LIZ;
        }
        this.LIZJ = applicationContext;
        C25498ea.LIZ(new C23878by(this));
    }
}
